# Generated by Django 2.1.7 on 2021-05-04 16:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0002_create_operators'),
        ('tickets', '0025_auto_20210503_1620'),
    ]

    operations = [
        migrations.AddField(
            model_name='categorymodel',
            name='operator_instance',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='historicalcategorymodel',
            name='operator_instance',
            field=models.ForeignKey(blank=True, db_constraint=False, default=1, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='historicalnewcontactmodel',
            name='operator_instance',
            field=models.ForeignKey(blank=True, db_constraint=False, default=1, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='historicalprocessmodel',
            name='operator_instance',
            field=models.ForeignKey(blank=True, db_constraint=False, default=1, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='historicaltypifymodel',
            name='operator_instance',
            field=models.ForeignKey(blank=True, db_constraint=False, default=1, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='historicaltypifyslackmessagemodel',
            name='operator_instance',
            field=models.ForeignKey(blank=True, db_constraint=False, default=1, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='historicaltypifytablesmodel',
            name='operator_instance',
            field=models.ForeignKey(blank=True, db_constraint=False, default=1, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='newcontactmodel',
            name='operator_instance',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='processmodel',
            name='operator_instance',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='typifymodel',
            name='operator_instance',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='typifyslackmessagemodel',
            name='operator_instance',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='typifytablesmodel',
            name='operator_instance',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, to='operators.OperatorModel'),
        ),
    ]
